use git2::Error as GitError;

#[derive(Debug)]
pub struct SocialError {
    pub message: String,
}

impl From<GitError> for SocialError {
    fn from(err: GitError) -> Self {
        Self {
            message: err.message().to_owned(),
        }
    }
}

impl From<&str> for SocialError {
    fn from(err: &str) -> Self {
        Self {
            message: err.to_owned(),
        }
    }
}
